Page MenuHomePhabricator

Add new indexes to change_tag table using ct_tag_id instead of ct_tag
Closed, ResolvedPublic

Description

Fourth part of the normalizing change_tag schema: T185355: Normalize change tag schema

  • Add new indexes using ct_tag_id instead of ct_tag, including unique indexes on (ct_{rc,log,rev}_id, ct_tag_id).

Event Timeline

Ladsgroup created this task.May 4 2018, 1:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2018, 1:36 PM
Vvjjkkii renamed this task from Add new indexes to change_tag table using ct_tag_id instead of ct_tag to xldaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from xldaaaaaaa to Add new indexes to change_tag table using ct_tag_id instead of ct_tag.
CommunityTechBot added a subscriber: Aklapper.
Krinkle moved this task from Backlog to Schema on the MediaWiki-Database board.Jul 28 2018, 10:39 PM

Change 456027 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Schema change for reading ct_tag_id instead of ct_tag

https://gerrit.wikimedia.org/r/456027

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 30 2018, 12:51 PM

Change 456027 merged by jenkins-bot:
[mediawiki/core@master] Schema change for reading ct_tag_id instead of ct_tag

https://gerrit.wikimedia.org/r/456027

Lydia_Pintscher closed this task as Resolved.Sep 16 2018, 10:38 AM